The following commit has been merged in the master branch:
commit 356c91c77ef0120896c803afa3276546084babb3
Author: James Page <james.p...@ubuntu.com>
Date:   Sun Feb 26 19:14:43 2012 +0000

    Ensure that jenkins group exists and that its the primary group for the 
jenkins user to deal with transition from upstream packaging  (Closes: #661203).

diff --git a/debian/changelog b/debian/changelog
index 09d2897..c99f6a5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,4 @@
-jenkins (1.424.2+dfsg-3) UNRELEASED; urgency=low
+jenkins (1.424.2+dfsg-3) unstable; urgency=low
 
   * Enable use of jenkins-instance-identity and jenkins-ssh-cli-auth to 
     support use of public/private keypairs when using the jenkins remote
@@ -6,8 +6,11 @@ jenkins (1.424.2+dfsg-3) UNRELEASED; urgency=low
   * Dropped jcaptcha-slf4j.patch; no longer required as library not used.
   * Updated plugin parent pom file to specifiy default source/target for
     maven-compiler-plugin as Java 1.5.
+  * Ensure that jenkins group exists and that its the primary group for
+    the jenkins user to deal with transition from upstream packaging 
+    (Closes: #661203).
 
- -- James Page <james.p...@ubuntu.com>  Mon, 13 Feb 2012 10:06:54 +0000
+ -- James Page <james.p...@ubuntu.com>  Sun, 26 Feb 2012 18:57:50 +0000
 
 jenkins (1.424.2+dfsg-2) unstable; urgency=low
 
diff --git a/debian/jenkins.postinst b/debian/jenkins.postinst
index bc84e20..fe0cd82 100644
--- a/debian/jenkins.postinst
+++ b/debian/jenkins.postinst
@@ -17,7 +17,7 @@ set -e
 # for details, see http://www.debian.org/doc/debian-policy/ or
 # the debian-policy package
 
-# Setup environment variables for JOnAS
+# Setup environment variables for Jenkins
 export JENKINS_ROOT="/usr/share/jenkins"
 export JENKINS_HOME="/var/lib/jenkins"
 
@@ -29,6 +29,12 @@ case "$1" in
                 --group --disabled-password --quiet --shell /bin/bash \
                 jenkins 
         fi
+        # Deal with migration from upstream packaging
+        # which does not user jenkins group - uses nogroup
+        if ! getent group jenkins > /dev/null 2>&1 ; then
+            addgroup --system --quiet jenkins
+            usermod -g jenkins jenkins > /dev/null 2>&1
+        fi
         # Fix directory permissions
         chown -R jenkins:jenkins /var/log/jenkins || true
         chown -R jenkins:jenkins ${JENKINS_HOME} || true

-- 
jenkins packaging

_______________________________________________
pkg-java-commits mailing list
pkg-java-comm...@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-commits

Reply via email to